<?php
session_start();
require 'connection.php';
$conn = Connect();

// ตรวจสอบว่ามีการส่ง car_id และ customer_username มาหรือไม่
if (!isset($_GET['car_id']) || !isset($_GET['customer_username'])) {
    echo "Error: Missing parameters.";
    exit;
}

$car_id = $_GET['car_id'];
$customer_username = $_GET['customer_username'];

// ตรวจสอบว่ามีการจองนี้อยู่จริงหรือไม่
$sql = "SELECT * FROM rentedcars WHERE car_id = ? AND customer_username = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("ss", $car_id, $customer_username);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows == 0) {
    echo "Error: Booking not found.";
    exit;
}

// อัปเดตสถานะการจองเป็น "Accepted"
$update_sql = "UPDATE rentedcars SET return_status = 'A' WHERE car_id = ? AND customer_username = ?";
$stmt_update = $conn->prepare($update_sql);
$stmt_update->bind_param("ss", $car_id, $customer_username);

if ($stmt_update->execute()) {
    // รีไดเรกต์ไปยังหน้าการจอง
    header("Location: clientview.php?accept=success");
    exit;
} else {
    echo "Error accepting booking: " . $stmt_update->error;
}

$stmt->close();
$stmt_update->close();
$conn->close();
?>
