<?php
session_start();
require 'connection.php';
$conn = Connect();

// ตรวจสอบว่ามีการส่งค่า car_id และ customer_username มาหรือไม่
if (!isset($_GET['id']) || !isset($_GET['customer_username'])) {
    die("Error: Missing parameters.");
}

$id = $_GET['id'];
$customer_username = $_GET['customer_username'];

// ตรวจสอบว่ามีข้อมูลนี้อยู่จริงหรือไม่ก่อนลบ
$check_sql = "SELECT * FROM rentedcars WHERE id = ? AND customer_username = ?";
$stmt_check = $conn->prepare($check_sql);
$stmt_check->bind_param("ss", $id, $customer_username);
$stmt_check->execute();
$result = $stmt_check->get_result();

if ($result->num_rows == 0) {
    die("Error: Booking not found.");
}

// ใช้ prepared statement เพื่อลบข้อมูล
$delete_sql = "DELETE FROM rentedcars WHERE id = ? AND customer_username = ?";
$stmt = $conn->prepare($delete_sql);
$stmt->bind_param("ss", $id, $customer_username);

// ตรวจสอบว่า query ลบข้อมูลทำงานหรือไม่
if ($stmt->execute()) {
    // Redirect กลับไปที่ prereturncar.php หลังจากลบข้อมูล
    header("Location: prereturncar.php?delete=success");
    exit;
} else {
    die("Error deleting booking: " . $stmt->error);
}

$stmt->close();
$conn->close();
?>
