<?php 
session_start(); 
require 'connection.php';
$conn = Connect();
?>

<!DOCTYPE html>
<html>
<head>
    <link rel="shortcut icon" type="image/png" href="assets/img/P.png.png">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/fonts/font-awesome.min.css">
    <link rel="stylesheet" href="assets/w3css/w3.css">
    <link rel="stylesheet" type="text/css" href="assets/css/customerlogin.css">
    <script type="text/javascript" src="assets/js/jquery.min.js"></script>
    <script type="text/javascript" src="assets/js/bootstrap.min.js"></script>
    <link rel="stylesheet" type="text/css" media="screen" href="assets/css/clientpage.css" />
</head>
<body id="page-top" data-spy="scroll" data-target=".navbar-fixed-top">
<!-- Navigation -->
    <nav class="navbar navbar-custom navbar-fixed-top" role="navigation" style="color: black">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-main-collapse">
                    <i class="fa fa-bars"></i>
                </button>
                <a class="navbar-brand page-scroll" href="index.php">Car Rentals</a>
            </div>
            <?php
                if(isset($_SESSION['login_client'])){
            ?> 
            <div class="collapse navbar-collapse navbar-right navbar-main-collapse">
                <ul class="nav navbar-nav">
                    <li><a href="index.php">Home</a></li>
                    <li><a href="#"><span class="glyphicon glyphicon-user"></span> Welcome <?php echo $_SESSION['login_client']; ?></a></li>
                    <li><a href="logout.php"><span class="glyphicon glyphicon-log-out"></span> Logout</a></li>
                </ul>
            </div>
            <?php } else if (isset($_SESSION['login_customer'])){ ?>
            <div class="collapse navbar-collapse navbar-right navbar-main-collapse">
                <ul class="nav navbar-nav">
                    <li><a href="index.php">Home</a></li>
                    <li><a href="#"><span class="glyphicon glyphicon-user"></span> Welcome <?php echo $_SESSION['login_customer']; ?></a></li>
                    <li><a href="logout.php"><span class="glyphicon glyphicon-log-out"></span> Logout</a></li>
                </ul>
            </div>
            <?php } else { ?>
            <div class="collapse navbar-collapse navbar-right navbar-main-collapse">
                <ul class="nav navbar-nav">
                    <li><a href="index.php">Home</a></li>
                    <li><a href="clientlogin.php">Employee</a></li>
                    <li><a href="customerlogin.php">Customer</a></li>
                </ul>
            </div>
            <?php } ?>
        </div>
    </nav>

<?php
function dateDiff($start, $end) {
    $start_ts = strtotime($start);
    $end_ts = strtotime($end);
    $diff = $end_ts - $start_ts;
    return round($diff / 86400);
}

$id = $_GET["id"];
$sql1 = "SELECT c.car_name, c.car_nameplate, rc.rent_start_date, rc.rent_end_date, rc.fare, rc.charge_type, d.driver_name, d.driver_phone
 FROM rentedcars rc, cars c, driver d
 WHERE id = '$id' AND c.car_id=rc.car_id AND d.driver_id = rc.driver_id";
$result1 = $conn->query($sql1);

if (mysqli_num_rows($result1) > 0) {
    while($row = mysqli_fetch_assoc($result1)) {
        $car_name = $row["car_name"];
        $car_nameplate = $row["car_nameplate"];
        $driver_name = $row["driver_name"];
        $driver_phone = $row["driver_phone"];
        $rent_start_date = $row["rent_start_date"];
        $rent_end_date = $row["rent_end_date"];
        $fare = $row["fare"];
        $charge_type = $row["charge_type"];
        $no_of_days = dateDiff("$rent_start_date", "$rent_end_date");
    }
}

// Update the booking when the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the new rent start and end date
    $new_rent_start_date = $_POST['new_rent_start_date'];
    $new_rent_end_date = $_POST['new_rent_end_date'];

    // Update the booking in the database
    $update_sql = "UPDATE rentedcars 
                   SET rent_start_date='$new_rent_start_date', rent_end_date='$new_rent_end_date' 
                   WHERE id='$id'";

    if ($conn->query($update_sql) === TRUE) {
        // After updating, redirect to the prereturncar.php page with updated details
        header("Location: prereturncar.php?id=$id");
        exit();
    } else {
        echo "Error: " . $conn->error;
    }
}
?>

<div class="container" style="margin-top: 65px;">
    <div class="col-md-7" style="float: none; margin: 0 auto;">
      <div class="form-area">
        <form role="form" action="editbooking.php?id=<?php echo $id ?>" method="POST">
        <br style="clear: both">
          <h3 style="margin-bottom: 5px; text-align: center; font-size: 30px;"> Edit Booking </h3>
          <h6 style="margin-bottom: 25px; text-align: center; font-size: 12px;"> Please update the booking details below </h6>

           <h5> Car:&nbsp;  <?php echo($car_name);?></h5>
           <h5> Vehicle Number:&nbsp;  <?php echo($car_nameplate);?></h5>

           <div class="form-group">
               <label for="new_rent_start_date">New Rent Start Date:</label>
               <input type="date" class="form-control" id="new_rent_start_date" name="new_rent_start_date" value="<?php echo $rent_start_date; ?>" required>
           </div>

           <div class="form-group">
               <label for="new_rent_end_date">New Rent End Date:</label>
               <input type="date" class="form-control" id="new_rent_end_date" name="new_rent_end_date" value="<?php echo $rent_end_date; ?>" required>
           </div>

           <input type="submit" name="submit" value="Update Booking" class="btn btn-success pull-right">    
        </form>
      </div>
    </div>
</div>

</body>
<footer class="site-footer">
        <div class="container">
            <hr>
            <div class="row">
                <div class="col-sm-6">
                    <h5>© <?php echo date("Y"); ?> Car Rentals</h5>
                </div>
            </div>
        </div>
    </footer>
</html>
